from fastapi import APIRouter

from app.api.v1 import blocks, transactions, arbitrages, dexes, pools, stats

api_router = APIRouter()
api_router.include_router(blocks.router, prefix="/blocks", tags=["blocks"])
api_router.include_router(transactions.router, prefix="/transactions", tags=["transactions"])
api_router.include_router(arbitrages.router, prefix="/arbitrages", tags=["arbitrages"])
api_router.include_router(dexes.router, prefix="/dexes", tags=["dexes"])
api_router.include_router(pools.router, prefix="/pools", tags=["pools"])
api_router.include_router(stats.router, prefix="/stats", tags=["stats"])